# Uses of Class
org.apache.zookeeper.KeeperException.SessionExpiredException

Packages that use KeeperException.SessionExpiredException
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of KeeperException.SessionExpiredException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw KeeperException.SessionExpiredException
Modifier and Type
Method
Description
`void`
SessionTracker.`checkGlobalSession(long sessionId, Object owner)`
Strictly check that a given session is a global session or not
`void`
SessionTrackerImpl.`checkGlobalSession(long sessionId, Object owner)`
`void`
SessionTracker.`checkSession(long sessionId, Object owner)`
Checks whether the SessionTracker is aware of this session, the session is still active, and the owner matches.
`void`
SessionTrackerImpl.`checkSession(long sessionId, Object owner)`
`void`
SessionTracker.`setOwner(long id, Object owner)`
`void`
SessionTrackerImpl.`setOwner(long id, Object owner)`
`void`
ZooKeeperServer.`setOwner(long id, Object owner)`
set the owner of this session as owner

## Uses of KeeperException.SessionExpiredException in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw KeeperException.SessionExpiredException
Modifier and Type
Method
Description
`void`
LeaderSessionTracker.`checkGlobalSession(long sessionId, Object owner)`
`void`
UpgradeableSessionTracker.`checkGlobalSession(long sessionId, Object owner)`
`void`
LeaderSessionTracker.`checkSession(long sessionId, Object owner)`
`void`
LearnerSessionTracker.`checkSession(long sessionId, Object owner)`
`void`
LeaderSessionTracker.`setOwner(long sessionId, Object owner)`
`void`
LearnerSessionTracker.`setOwner(long sessionId, Object owner)`